<?php
    #	SonicCampGuard
    #
    #	Copyright (c) 2024 Bundeswehr
    #	Diese Anwendung wurde von Cedric Prietz entwickelt.
    #	E-Mail: CedricPrietz@bundeswehr.org
    #	App: 90-8303-54618
	#
    #	Letzte Änderung: 17.10.2024

    require_once $_SERVER['DOCUMENT_ROOT'] . '/function.inc.php';
    requireLogin();

    // Identitäten aus der Datenbank holen
    initializeDatabaseConnection();

    $sql = "SELECT * FROM Identities WHERE ID = ?";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$_GET['id']]);

    $position = $stmt->fetch();

        // Weiterleiten auf den korrekten Identitäten-Type
        if ( $position['Type'] == 'Military' ) {

            // Militärisch
            header("Location: /identities/edit-identity-military?id=" . $position['ID']);
            exit();

        } elseif ( $position['Type'] == 'Civil' ) {
            
            // Zivil
            header("Location: /identities/edit-identity-civil?id=" . $position['ID']);
            exit();

        } elseif ( $position['Type'] == 'Local' ) {
            
            // Ortskräfte
            header("Location: /identities/edit-identity-local?id=" . $position['ID']);
            exit();

        } elseif ( $position['Type'] == 'Guest' ) {
            
            // Ortskräfte
            header("Location: /identities/edit-identity-guest?id=" . $position['ID']);
            exit();

        } else {

            // Abbrechen
            header("Location: /identities/identities");
            exit();

        }

?>